Subject: Re: Verbose as default for commit (optional)

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Apr 2015 21:33:10 -0700

Eric Sunshine <[email-masked]> writes:

> On Fri, Apr 24, 2015 at 7:51 PM, Eloy Espinaco <[email-masked]> wrote:
>> Ok, now I found [this
>> thread](http://thread.gmane.org/gmane.comp.version-control.git/251376)
>> that seems abandoned, but implements this config, a --no-verbose that
>> disable it for one-time and the tests, but was not merged (don't know
>> why)
>
> I recall reviewing Caleb's patch series and making a number of
> suggestions for improvement. v6 was the last version he posted[1], and
> it seems that he intended to post v7 but never got around to it.
> Apparently, Torstein Hegge asked in February 2015 about picking up
> where Caleb left off, but nothing has materialized.
>
> You are welcome to revive the series by taking reviewer comments into
> account and submitting v7 (and beyond if necessary). Be sure to keep
> Caleb's authorship and sign-off intact, and add your own sign-off
> following his. If you make changes to his patches, briefly describe
> your changes in a bracketed comment in the commit message, starting
> with your initials, like this: [ee: changed blah to bleh].
>
> [1]: http://thread.gmane.org/gmane.comp.version-control.git/251943/focus=264608

Also, the world order has changed recently, if I am not mistaken.
Back when Caleb's series was done, there were only two choices
(i.e. are we verbose, or not verbose?)  Now "commit" and "status"
can take three choices, so commit.verbose boolean would not cut it.

Should the configuration variable be commit.verbose and only affect
"commit" and not "status", or should both of these commands pay
attention to the single variable and behave the same way?

I offhand do not have a strong opinion on these questions, but
whoever is doing a proposal must think about it and justify the
decision.

Thanks.